org.apache.solr.client.solrj.io.eval

## Interface RecursiveBooleanEvaluator.NullChecker

All Superinterfaces:
  RecursiveBooleanEvaluator.Checker

Enclosing class:
  RecursiveBooleanEvaluator

    public static interface RecursiveBooleanEvaluator.NullChecker
    extends RecursiveBooleanEvaluator.Checker

### Method Summary

All Methods Instance Methods Default Methods
`default boolean` `isCorrectType(Object value)`
`default boolean` `isNullAllowed()`
`default boolean` `test(Object left, Object right)`

### Method Detail

#### isNullAllowed

    default boolean isNullAllowed()

Specified by:
  `isNullAllowed` in interface `RecursiveBooleanEvaluator.Checker`

#### isCorrectType

    default boolean isCorrectType(Object value)

Specified by:
  `isCorrectType` in interface `RecursiveBooleanEvaluator.Checker`

#### test

    default boolean test(Object left,
                         Object right)

Specified by:
  `test` in interface `RecursiveBooleanEvaluator.Checker`